org.apache.ignite.ml.tree.impurity.util

## Class SimpleStepFunctionCompressor<T extends ImpurityMeasure<T>>

- java.lang.Object
- - org.apache.ignite.ml.tree.impurity.util.SimpleStepFunctionCompressor<T>

- Type Parameters:
    `T` - Type of step function values.
  All Implemented Interfaces:
    Serializable, StepFunctionCompressor<T>

      public class SimpleStepFunctionCompressor<T extends ImpurityMeasure<T>>
      extends Object
      implements StepFunctionCompressor<T>

  Simple step function compressor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleStepFunctionCompressor()` Constructs a new instance of simple step function compressor with default parameters.
    `SimpleStepFunctionCompressor(int minSizeToBeCompressed, double minImpurityIncreaseForRecord, double minImpurityDecreaseForRecord)` Constructs a new instance of simple step function compressor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StepFunction<T>` | `compress(StepFunction<T> function)` Compresses the given step function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.tree.impurity.util.StepFunctionCompressor

      `compress`

- - ### Constructor Detail

    - #### SimpleStepFunctionCompressor

          public SimpleStepFunctionCompressor()

      Constructs a new instance of simple step function compressor with default parameters.

    - #### SimpleStepFunctionCompressor

          public SimpleStepFunctionCompressor(int minSizeToBeCompressed,
                                              double minImpurityIncreaseForRecord,
                                              double minImpurityDecreaseForRecord)

      Constructs a new instance of simple step function compressor.
      Parameters:
        `minSizeToBeCompressed` - Min size of step function to be compressed.
        `minImpurityIncreaseForRecord` - In case of compression min impurity increase that will be recorded.
        `minImpurityDecreaseForRecord` - In case of compression min impurity decrease that will be recorded.

  - ### Method Detail

    - #### compress

          public StepFunction<T> compress(StepFunction<T> function)

      Compresses the given step function.
      Specified by:
        `compress` in interface `StepFunctionCompressor<T extends ImpurityMeasure<T>>`
      Parameters:
        `function` - Step function.
      Returns:
        Compressed step function.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023